IPP
Keywords: org.cups.IPP,IPP class

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cups
Class IPP

    java.lang.Object
      |
      +--org.cups.IPP

public class IPP
extends java.lang.Object

An `IPP` object is used to hold the various attributes and status of an ipp request..

Since:
  JDK1.3

Field Summary
`java.util.List` | `attrs`
`org.cups.IPPRequest` | `request`
`org.cups.IPPStatus` | `status`

Constructor Summary
`IPP()`

Method Summary
`boolean` | `addAttribute(org.cups.IPPAttribute a)` Add an attribute to the attibutes list for later parsing.
`void` | `dump_response()`
`org.cups.IPPAttribute` | `getCurrentAttribute()` Get the current attribute pointed at by `current`.
`org.cups.IPPAttribute` | `ippFindAttribute(java.lang.String p_name, int p_type)` Find the named attribute of the correct type.
`org.cups.IPPAttribute` | `ippFindNextAttribute(java.lang.String p_name, int p_type)` Find the named attribute of the correct type.
`void` | `setRequestID(short p_id)` Set the `IPP` request ID.
`void` | `setRequestOperationID(short p_operation_id)` Set the `IPP` operation ID.
`int` | `sizeInBytes()` Get the size in bytes of an `IPP` request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### request

    public org.cups.IPPRequest request

### status

    public org.cups.IPPStatus status

### attrs

    public java.util.List attrs

Constructor Detail

### IPP

    public IPP()

Method Detail

### addAttribute

    public boolean addAttribute(org.cups.IPPAttribute a)

  Add an attribute to the attibutes list for later parsing.

  Parameters:
    `a` - `IPPAttribute` to add.
  Returns:
    `true` always returns `true` for now.
  See Also:
    `IPPAttribute`, `IPPValue`

### getCurrentAttribute

    public org.cups.IPPAttribute getCurrentAttribute()

  Get the current attribute pointed at by `current`.

  Returns:
    `IPPAttribute` Return the current attribute.

### ippFindAttribute

    public org.cups.IPPAttribute ippFindAttribute(java.lang.String p_name,
                                                  int p_type)

  Find the named attribute of the correct type. Both must match. This methos searches from the beginning of the attribute list, rather than from the current position.

  Parameters:
    `p_name` - `String` containing the name.
    `p_type` - `int` attribute type.
  Returns:
    `IPPAttribute` Matching attribute if found.

### ippFindNextAttribute

    public org.cups.IPPAttribute ippFindNextAttribute(java.lang.String p_name,
                                                      int p_type)

  Find the named attribute of the correct type. Both must match. This methos searches from the current position in the attribute list.

  Parameters:
    `p_name` - `String` containing the name.
    `p_type` - `int` attribute type.
  Returns:
    `IPPAttribute` Matching attribute if found.

### sizeInBytes

    public int sizeInBytes()

  Get the size in bytes of an `IPP` request.

  Returns:
    `int` Number of bytes for the request.

### setRequestID

    public void setRequestID(short p_id)

  Set the `IPP` request ID.

  Parameters:
    `p_id` - `short` request id.

### setRequestOperationID

    public void setRequestOperationID(short p_operation_id)

  Set the `IPP` operation ID.

  Parameters:
    `p_operation_id` - `short` operation id.

### dump_response

    public void dump_response()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD